.react-tel-input {
  font-family: 'Roboto', sans-serif;
  font-size: 15px;
  position: relative;
  width: 100%;
  :disabled {
    cursor: not-allowed;
  }
  .flag {
    width: 36px;
    height: 24px;
    background: url("./flags.png");
  }

  * {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
  }
  .hide {
    display: none;
  }
  .v-hide {
    visibility: hidden;
  }
  input[type=text],
  input[type=tel] {
    position: relative;
    font-size: 14px;
    letter-spacing: 0.01rem;
    z-index: 0;
    margin-top: 0 !important;
    margin-bottom: 0 !important;
    padding-left: 92px;
    margin-left: 0;
    background: #FFFFFF;
    border: 1px solid #CACACA;
    border-radius: 2px;
    line-height: 25px;
    height: 48px;
    width: 360px;
    outline: none;
    &.invalid-number {
      border: 1px solid #d79f9f;
      background-color: #FAF0F0;
      border-left-color: #cacaca;
      &:focus {
        border: 1px solid #d79f9f;
        border-left-color: #cacaca;
        background-color: #FAF0F0;
      }
    }
  }
  .splitter {
    width:1px;
    height:20px;
    background:rgba(18,63,148,0.15);
    display: inline-block;
  }
  .flag-dropdown {
    position: absolute;
    cursor: pointer;
    top: 0;
    bottom: 0;
    padding: 0;
    margin: 12px 0 12px 12px;
    &.open-dropdown {
      .selected-flag {
        background: #fff;
        border-radius: 3px 0 0 0;
      }
    }
    &:hover {
      .selected-flag {
        background-color: #fff;
      }
    }
  }
  input[disabled] {
    &+.flag-dropdown {
      &:hover {
        cursor: default;
        .selected-flag {
          background-color: transparent;
        }
      }
    }
  }
  .selected-flag {
    z-index: 13;
    position: relative;
    height: 100%;
    .svg {
      width: 36px;
      height: 24px;
    }
    .arrow {
      width: 11px;
      height: 11px;
      border-left: 6px solid transparent;
      border-right: 6px solid transparent;
      border-top: 6px solid #979797;
      margin: 0 9px;
      margin-bottom: 2px;
      display: inline-block;
      &.up {
        margin-bottom: 9px;
        border-top: none;
        border-bottom: 6px solid #979797;
      }
    }
  }
  .open-dropdown .country-list {
    visibility: visible;
    z-index: 15;
  }
  .country-list {
    visibility: hidden;
    list-style: none;
    position: absolute;
    border: 1px solid rgba(18, 63, 148, 0.15);
    border-top:none;
    z-index: -1;
    padding: 0;
    margin: 10px 0 10px -1px;
    background-color: white;
    width: 300px;
    max-height: 200px;
    overflow-y: scroll;
    border-radius: 0 0 3px 3px;
    left: -11px;
    top: 25px;
    .flag {
      display: inline-block;
    }
    .divider {
      padding-bottom: 5px;
      margin-bottom: 5px;
      border-bottom: 1px solid #ccc;
    }
    .country {
      padding: 7px 10px;
      .dial-code {
        color: #6b6b6b;
      }
      .svg {
        width: 36px;
        height: 24px;
      }
      &:hover {
        background-color: #f1f1f1;
      }
      &.highlight {
        background-color: #e8e8e8;
      }
    }
    .flag {
      margin-right: 6px;
      margin-top: 2px;
    }
    .country-name {
      margin-right: 6px;
    }
    .search {
      position: sticky;
      top: 0;
      background-color: #fff;
      padding: 10px 0 6px 10px;
    }
    .search-emoji {
      font-size: 15px;
      vertical-align: -2px;
    }
    .search-box {
      border: 1px solid #cacaca;
      border-radius: 3px;
      font-size: 15px;
      line-height: 15px;
      margin-left: 6px;
      padding: 3px 8px 5px;
      outline: none;
    }
    .no-entries-message {
      padding: 7px 10px 11px;
      opacity: .7;
    }
  }
}
.inline-block {
  display: inline-block;
}
